Skip to main content

GET /api/defi/options

Options protocols

GET options data from defi service

Endpoint​

GET https://api.web3identity.com/api/defi/options

Example Request​

curl -s "https://api.web3identity.com/api/defi/options" | jq

Responses​

200 Options​

{
"protocols": [
{
"name": "Lyra",
"tvl": 123456789.01,
"volume24h": 23456789.01,
"openInterest": 45678901.23
},
{
"name": "Hegic",
"tvl": 98765432.1,
"volume24h": 12345678.9,
"openInterest": 34567890.12
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec